package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*商品表
* @author quyixiao
* @since 2025-11-04
*/

@Data
@TableName("vv_product")
public class VvProductEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvProductEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                       // 
    public final static String is_delete = CLASS_NAME + "is_delete";                          // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                      // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                      // 修改时间
    public final static String main_image_url = CLASS_NAME + "main_image_url";                // 主图
    public final static String video_url = CLASS_NAME + "video_url";                          // 视频url
    public final static String title_ = CLASS_NAME + "title";                                 // 商品标题
    public final static String show_sale_price = CLASS_NAME + "show_sale_price";              // 销售价格
    public final static String show_sale_count = CLASS_NAME + "show_sale_count";              // 销售数量
    public final static String default_sort = CLASS_NAME + "default_sort";                    // 默认排序
    public final static String create_timestamp = CLASS_NAME + "create_timestamp";            // 创建时间撮
    public final static String modify_timestamp = CLASS_NAME + "modify_timestamp";            // 修改时间撮
    public final static String front_page = CLASS_NAME + "front_page";                        // 是否是首页
    public final static String status_ = CLASS_NAME + "status";                               // delete 删除,down 下架,online 在线,draft 草稿
    public final static String real_sale_count = CLASS_NAME + "real_sale_count";              // 真实销售量
    public final static String app_category_id1 = CLASS_NAME + "app_category_id1";            // app一级类目id
    public final static String app_category_id2 = CLASS_NAME + "app_category_id2";            // app二级类目
    public final static String app_category_id3 = CLASS_NAME + "app_category_id3";            // app三级类目
    public final static String admin_category_id1 = CLASS_NAME + "admin_category_id1";        // admin1级类目
    public final static String admin_category_id2 = CLASS_NAME + "admin_category_id2";        // admin2级类目
    public final static String admin_category_id3 = CLASS_NAME + "admin_category_id3";        // admin3级类目
    public final static String admin_category_id4 = CLASS_NAME + "admin_category_id4";        // admin4级类目
    public final static String admin_category_id5 = CLASS_NAME + "admin_category_id5";        // admin5级类目
    public final static String admin_category_id6 = CLASS_NAME + "admin_category_id6";        // admin6级类目
    public final static String admin_category_id7 = CLASS_NAME + "admin_category_id7";        // admin7级类目
    public final static String admin_category_id8 = CLASS_NAME + "admin_category_id8";        // admin8级类目
    public final static String admin_category_id9 = CLASS_NAME + "admin_category_id9";        // admin9级类目
    public final static String seller_id = CLASS_NAME + "seller_id";                          // 商家id
    public final static String is_test = CLASS_NAME + "is_test";                              // 是否是测试单
    public final static String show_promotion_price = CLASS_NAME + "show_promotion_price";    // 促销价
    public final static String sku_id = CLASS_NAME + "sku_id";                                // sku_id
    public final static String feature1_ = CLASS_NAME + "feature1";                           // 特色1
    public final static String feature2_ = CLASS_NAME + "feature2";                           // 特色2
    public final static String app_name = CLASS_NAME + "app_name";                            // 应用名称：goudezhao
    public final static String is_new = CLASS_NAME + "is_new";                                // 是否是新品
    public final static String is_flash = CLASS_NAME + "is_flash";                            // 限时秒杀
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //主图
    private String mainImageUrl;
    //视频url
    private String videoUrl;
    //商品标题
    private String title;
    //销售价格
    private BigDecimal showSalePrice;
    //销售数量
    private Integer showSaleCount;
    //默认排序
    private Integer defaultSort;
    //创建时间撮
    private Long createTimestamp;
    //修改时间撮
    private Long modifyTimestamp;
    //是否是首页
    private Integer frontPage;
    //delete 删除,down 下架,online 在线,draft 草稿
    private String status;
    //真实销售量
    private Integer realSaleCount;
    //app一级类目id
    private Integer appCategoryId1;
    //app二级类目
    private Integer appCategoryId2;
    //app三级类目
    private Integer appCategoryId3;
    //admin1级类目
    private Integer adminCategoryId1;
    //admin2级类目
    private Integer adminCategoryId2;
    //admin3级类目
    private Integer adminCategoryId3;
    //admin4级类目
    private Integer adminCategoryId4;
    //admin5级类目
    private Integer adminCategoryId5;
    //admin6级类目
    private Integer adminCategoryId6;
    //admin7级类目
    private Integer adminCategoryId7;
    //admin8级类目
    private Integer adminCategoryId8;
    //admin9级类目
    private Integer adminCategoryId9;
    //商家id
    private Long sellerId;
    //是否是测试单
    private Integer isTest;
    //促销价
    private BigDecimal showPromotionPrice;
    //sku_id
    private Long skuId;
    //特色1
    private String feature1;
    //特色2
    private String feature2;
    //应用名称：goudezhao
    private String appName;
    //是否是新品
    private Integer isNew;
    //限时秒杀
    private Integer isFlash;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 主图 
     * @return
     */
    public String getMainImageUrl() {
        return mainImageUrl;
    }
    /**
     * 主图 
     * @param mainImageUrl
     */
    public void setMainImageUrl(String mainImageUrl) {
        this.mainImageUrl = mainImageUrl;
    }

    /**
     * 视频url 
     * @return
     */
    public String getVideoUrl() {
        return videoUrl;
    }
    /**
     * 视频url 
     * @param videoUrl
     */
    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }

    /**
     * 商品标题 
     * @return
     */
    public String getTitle() {
        return title;
    }
    /**
     * 商品标题 
     * @param title
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * 销售价格 
     * @return
     */
    public BigDecimal getShowSalePrice() {
        return showSalePrice;
    }
    /**
     * 销售价格 
     * @param showSalePrice
     */
    public void setShowSalePrice(BigDecimal showSalePrice) {
        this.showSalePrice = showSalePrice;
    }

    /**
     * 销售数量 
     * @return
     */
    public Integer getShowSaleCount() {
        return showSaleCount;
    }
    /**
     * 销售数量 
     * @param showSaleCount
     */
    public void setShowSaleCount(Integer showSaleCount) {
        this.showSaleCount = showSaleCount;
    }

    /**
     * 默认排序 
     * @return
     */
    public Integer getDefaultSort() {
        return defaultSort;
    }
    /**
     * 默认排序 
     * @param defaultSort
     */
    public void setDefaultSort(Integer defaultSort) {
        this.defaultSort = defaultSort;
    }

    /**
     * 创建时间撮 
     * @return
     */
    public Long getCreateTimestamp() {
        return createTimestamp;
    }
    /**
     * 创建时间撮 
     * @param createTimestamp
     */
    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    /**
     * 修改时间撮 
     * @return
     */
    public Long getModifyTimestamp() {
        return modifyTimestamp;
    }
    /**
     * 修改时间撮 
     * @param modifyTimestamp
     */
    public void setModifyTimestamp(Long modifyTimestamp) {
        this.modifyTimestamp = modifyTimestamp;
    }

    /**
     * 是否是首页 
     * @return
     */
    public Integer getFrontPage() {
        return frontPage;
    }
    /**
     * 是否是首页 
     * @param frontPage
     */
    public void setFrontPage(Integer frontPage) {
        this.frontPage = frontPage;
    }

    /**
     * delete 删除,down 下架,online 在线,draft 草稿 
     * @return
     */
    public String getStatus() {
        return status;
    }
    /**
     * delete 删除,down 下架,online 在线,draft 草稿 
     * @param status
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 真实销售量 
     * @return
     */
    public Integer getRealSaleCount() {
        return realSaleCount;
    }
    /**
     * 真实销售量 
     * @param realSaleCount
     */
    public void setRealSaleCount(Integer realSaleCount) {
        this.realSaleCount = realSaleCount;
    }

    /**
     * app一级类目id 
     * @return
     */
    public Integer getAppCategoryId1() {
        return appCategoryId1;
    }
    /**
     * app一级类目id 
     * @param appCategoryId1
     */
    public void setAppCategoryId1(Integer appCategoryId1) {
        this.appCategoryId1 = appCategoryId1;
    }

    /**
     * app二级类目 
     * @return
     */
    public Integer getAppCategoryId2() {
        return appCategoryId2;
    }
    /**
     * app二级类目 
     * @param appCategoryId2
     */
    public void setAppCategoryId2(Integer appCategoryId2) {
        this.appCategoryId2 = appCategoryId2;
    }

    /**
     * app三级类目 
     * @return
     */
    public Integer getAppCategoryId3() {
        return appCategoryId3;
    }
    /**
     * app三级类目 
     * @param appCategoryId3
     */
    public void setAppCategoryId3(Integer appCategoryId3) {
        this.appCategoryId3 = appCategoryId3;
    }

    /**
     * admin1级类目 
     * @return
     */
    public Integer getAdminCategoryId1() {
        return adminCategoryId1;
    }
    /**
     * admin1级类目 
     * @param adminCategoryId1
     */
    public void setAdminCategoryId1(Integer adminCategoryId1) {
        this.adminCategoryId1 = adminCategoryId1;
    }

    /**
     * admin2级类目 
     * @return
     */
    public Integer getAdminCategoryId2() {
        return adminCategoryId2;
    }
    /**
     * admin2级类目 
     * @param adminCategoryId2
     */
    public void setAdminCategoryId2(Integer adminCategoryId2) {
        this.adminCategoryId2 = adminCategoryId2;
    }

    /**
     * admin3级类目 
     * @return
     */
    public Integer getAdminCategoryId3() {
        return adminCategoryId3;
    }
    /**
     * admin3级类目 
     * @param adminCategoryId3
     */
    public void setAdminCategoryId3(Integer adminCategoryId3) {
        this.adminCategoryId3 = adminCategoryId3;
    }

    /**
     * admin4级类目 
     * @return
     */
    public Integer getAdminCategoryId4() {
        return adminCategoryId4;
    }
    /**
     * admin4级类目 
     * @param adminCategoryId4
     */
    public void setAdminCategoryId4(Integer adminCategoryId4) {
        this.adminCategoryId4 = adminCategoryId4;
    }

    /**
     * admin5级类目 
     * @return
     */
    public Integer getAdminCategoryId5() {
        return adminCategoryId5;
    }
    /**
     * admin5级类目 
     * @param adminCategoryId5
     */
    public void setAdminCategoryId5(Integer adminCategoryId5) {
        this.adminCategoryId5 = adminCategoryId5;
    }

    /**
     * admin6级类目 
     * @return
     */
    public Integer getAdminCategoryId6() {
        return adminCategoryId6;
    }
    /**
     * admin6级类目 
     * @param adminCategoryId6
     */
    public void setAdminCategoryId6(Integer adminCategoryId6) {
        this.adminCategoryId6 = adminCategoryId6;
    }

    /**
     * admin7级类目 
     * @return
     */
    public Integer getAdminCategoryId7() {
        return adminCategoryId7;
    }
    /**
     * admin7级类目 
     * @param adminCategoryId7
     */
    public void setAdminCategoryId7(Integer adminCategoryId7) {
        this.adminCategoryId7 = adminCategoryId7;
    }

    /**
     * admin8级类目 
     * @return
     */
    public Integer getAdminCategoryId8() {
        return adminCategoryId8;
    }
    /**
     * admin8级类目 
     * @param adminCategoryId8
     */
    public void setAdminCategoryId8(Integer adminCategoryId8) {
        this.adminCategoryId8 = adminCategoryId8;
    }

    /**
     * admin9级类目 
     * @return
     */
    public Integer getAdminCategoryId9() {
        return adminCategoryId9;
    }
    /**
     * admin9级类目 
     * @param adminCategoryId9
     */
    public void setAdminCategoryId9(Integer adminCategoryId9) {
        this.adminCategoryId9 = adminCategoryId9;
    }

    /**
     * 商家id 
     * @return
     */
    public Long getSellerId() {
        return sellerId;
    }
    /**
     * 商家id 
     * @param sellerId
     */
    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    /**
     * 是否是测试单 
     * @return
     */
    public Integer getIsTest() {
        return isTest;
    }
    /**
     * 是否是测试单 
     * @param isTest
     */
    public void setIsTest(Integer isTest) {
        this.isTest = isTest;
    }

    /**
     * 促销价 
     * @return
     */
    public BigDecimal getShowPromotionPrice() {
        return showPromotionPrice;
    }
    /**
     * 促销价 
     * @param showPromotionPrice
     */
    public void setShowPromotionPrice(BigDecimal showPromotionPrice) {
        this.showPromotionPrice = showPromotionPrice;
    }

    /**
     * sku_id 
     * @return
     */
    public Long getSkuId() {
        return skuId;
    }
    /**
     * sku_id 
     * @param skuId
     */
    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    /**
     * 特色1 
     * @return
     */
    public String getFeature1() {
        return feature1;
    }
    /**
     * 特色1 
     * @param feature1
     */
    public void setFeature1(String feature1) {
        this.feature1 = feature1;
    }

    /**
     * 特色2 
     * @return
     */
    public String getFeature2() {
        return feature2;
    }
    /**
     * 特色2 
     * @param feature2
     */
    public void setFeature2(String feature2) {
        this.feature2 = feature2;
    }

    /**
     * 应用名称：goudezhao 
     * @return
     */
    public String getAppName() {
        return appName;
    }
    /**
     * 应用名称：goudezhao 
     * @param appName
     */
    public void setAppName(String appName) {
        this.appName = appName;
    }

    /**
     * 是否是新品 
     * @return
     */
    public Integer getIsNew() {
        return isNew;
    }
    /**
     * 是否是新品 
     * @param isNew
     */
    public void setIsNew(Integer isNew) {
        this.isNew = isNew;
    }

    /**
     * 限时秒杀 
     * @return
     */
    public Integer getIsFlash() {
        return isFlash;
    }
    /**
     * 限时秒杀 
     * @param isFlash
     */
    public void setIsFlash(Integer isFlash) {
        this.isFlash = isFlash;
    }

    @Override
    public String toString() {
        return "VvProductEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",mainImageUrl=" + mainImageUrl +
                ",videoUrl=" + videoUrl +
                ",title=" + title +
                ",showSalePrice=" + showSalePrice +
                ",showSaleCount=" + showSaleCount +
                ",defaultSort=" + defaultSort +
                ",createTimestamp=" + createTimestamp +
                ",modifyTimestamp=" + modifyTimestamp +
                ",frontPage=" + frontPage +
                ",status=" + status +
                ",realSaleCount=" + realSaleCount +
                ",appCategoryId1=" + appCategoryId1 +
                ",appCategoryId2=" + appCategoryId2 +
                ",appCategoryId3=" + appCategoryId3 +
                ",adminCategoryId1=" + adminCategoryId1 +
                ",adminCategoryId2=" + adminCategoryId2 +
                ",adminCategoryId3=" + adminCategoryId3 +
                ",adminCategoryId4=" + adminCategoryId4 +
                ",adminCategoryId5=" + adminCategoryId5 +
                ",adminCategoryId6=" + adminCategoryId6 +
                ",adminCategoryId7=" + adminCategoryId7 +
                ",adminCategoryId8=" + adminCategoryId8 +
                ",adminCategoryId9=" + adminCategoryId9 +
                ",sellerId=" + sellerId +
                ",isTest=" + isTest +
                ",showPromotionPrice=" + showPromotionPrice +
                ",skuId=" + skuId +
                ",feature1=" + feature1 +
                ",feature2=" + feature2 +
                ",appName=" + appName +
                ",isNew=" + isNew +
                ",isFlash=" + isFlash +
                "}";
    }
}